-- Frame creation

local f = CreateFrame("Frame","PetBattleJunkieFrame",UIParent)
f:SetBackdrop({
    bgFile="Interface\\DialogFrame\\UI-DialogBox-Background",
    edgeFile="Interface\\Tooltips\\UI-Tooltip-Border",
    tile=1, tileSize=16, edgeSize=16,
    insets={left=4, right=4, top=4, bottom=4}
})
f:SetFrameStrata("LOW")
f:SetWidth(426)
f:SetHeight(245)
f:SetPoint("CENTER",UIParent)
f:EnableMouse(true)
f:SetMovable(true)
f:RegisterForDrag("LeftButton")
f:SetScript("OnDragStart", function(self) self:StartMoving() end)
f:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)

f:SetScript("OnEnter", function(self)
    if PetBattleJunkieSizeButton:GetAlpha() == 0 then
        UIFrameFadeIn(PetBattleJunkieSizeButton, .25, 0, 1)
        f:SetScript("OnUpdate", function (self, elapsed)
            self.TimeSinceLastUpdate = self.TimeSinceLastUpdate + elapsed;
            if (self.TimeSinceLastUpdate > PBJ_OnUpdateInterval) then
                if not MouseIsOver(f) then
                    self.TimeSinceLastUpdate = 0;
                    UIFrameFadeIn(PetBattleJunkieSizeButton, .25, 1, 0)
                    f:SetScript("OnUpdate", nil)
                end
                self.TimeSinceLastUpdate = 0;
            end
        end)
    end
end)

f:Show()



f:SetScript("OnEvent", function (self,event,arg1)
    if (event=="PLAYER_LOGIN") then
        self.TimeSinceLastUpdate = 0;
        DEFAULT_CHAT_FRAME:AddMessage("PetJunkie loaded!")
        UpdatePetFrames()
    end
    if (event=="PET_JOURNAL_LIST_UPDATE" or event=="BATTLE_PET_CURSOR_CLEAR") then
        UpdatePetFrames()
    end
    if (event=="QUEST_LOG_UPDATE") then
        local count = GetNumTrackingTypes();
        for i=1,count do
            local name, texture, active, category = GetTrackingInfo(i);
            if name == "Track Pets" then
                if active then
                    dis = 1
                end
            end
        end
        UpdatePetFrames()
        if C_PetJournal.GetPetLoadOutInfo(1) ~= nil then
            f:UnregisterEvent("QUEST_LOG_UPDATE")
        end
    end
    if (event=="PET_BATTLE_OVER") then
        UpdatePetFrames()
    end
    if (event=="PET_BATTLE_OPENING_START") then
        PetBattleJunkieFrame:Hide()
    end
    if (event=="MINIMAP_UPDATE_TRACKING") then
        local count = GetNumTrackingTypes();
        for i=1,count do
            local name, texture, active, category = GetTrackingInfo(i);
            if name == "Track Pets" then
                if active then
                    PetBattleJunkieFrame:Show()
                    dis = 1
                else
                    PetBattleJunkieFrame:Hide()
                    dis = 0
                end
            end
        end
    end
end)



for i=1, 3 do
    CreatePetButton(i)
end

local settings = CreateFrame("BUTTON","PetBattleJunkieSizeButton", PetBattleJunkieFrame)
settings:SetFrameStrata("LOW")
settings:SetWidth(32)
settings:SetHeight(32)
local settingsTex = settings:CreateTexture("settingsTex","LOW")
settingsTex:SetAllPoints(settings)
settingsTex:SetTexture("Interface\\Buttons\\UI-Panel-QuestHideButton")
settingsTex:SetTexCoord(0,.5,.5,1)
local settingsTexPushed = settings:CreateTexture("settingsTexPushed","LOW")
settingsTexPushed:SetAllPoints(settings)
settingsTexPushed:SetTexture("Interface\\Buttons\\UI-Panel-QuestHideButton")
settingsTexPushed:SetTexCoord(.5,1,.5,1)

settings:SetNormalTexture(settingsTex)
settings:SetPushedTexture(settingsTexPushed)
settings:SetPoint("TOPRIGHT",PetBattleJunkieFrame,"TOPRIGHT",-2,-2)
settings:RegisterForClicks("LeftButtonUp")
settings:SetScript("OnClick", function(self,button)

end)
settings:SetAlpha(0);

